package com.tencent.mm.plugin.scanner.util;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.plugin.scanner.a.a;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.ytcommon.BuildConfig;
import java.util.LinkedList;
import java.util.Map;
import org.xwalk.core.XWalkFeature;

public class o$a {
    public String field_certification;
    public String field_certificationurl;
    public String field_detailurl;
    public String field_exposeurl;
    public String field_extinfo;
    public String field_feedbackurl;
    public int field_functionType;
    public int field_getaction;
    public String field_headerbackgroundurl;
    public String field_headermask;
    public String field_introlink;
    public String field_introtitle;
    public String field_playurl;
    public String field_productid;
    public String field_shareurl;
    public String field_source;
    public String field_subtitle;
    public String field_thumburl;
    public String field_title;
    public int field_type;
    public String field_xml;
    public int field_xmlType;
    public LinkedList<a> qiL;
    public a qiM;

    public final void n(Map<String, String> map, String str) {
        AppMethodBeat.i(81474);
        if (map != null) {
            String str2;
            this.qiM = new a();
            this.qiM.qiN = new LinkedList();
            String str3 = str + ".bannerlist.banner";
            int i = 0;
            while (i < XWalkFeature.INTERFACE_GEO_LOCATION_PERMISSION) {
                str2 = (String) map.get((str3 + (i > 0 ? Integer.valueOf(i) : BuildConfig.FLAVOR)) + ".link");
                if (bo.isNullOrNil(str2)) {
                    break;
                }
                a aVar = new a();
                aVar.link = str2;
                this.qiM.qiN.add(aVar);
                i++;
            }
            this.qiM.qiO = new LinkedList();
            str3 = str + ".detaillist.detail";
            i = 0;
            while (i < XWalkFeature.INTERFACE_GEO_LOCATION_PERMISSION) {
                String str4 = str3 + (i > 0 ? Integer.valueOf(i) : BuildConfig.FLAVOR);
                str2 = (String) map.get(str4 + ".title");
                str4 = (String) map.get(str4 + ".desc");
                if (bo.isNullOrNil(str2) && bo.isNullOrNil(str4)) {
                    break;
                }
                o$a$a$b o_a_a_b = new o$a$a$b();
                o_a_a_b.title = str2;
                o_a_a_b.desc = str4;
                this.qiM.qiO.add(o_a_a_b);
                i++;
            }
        }
        AppMethodBeat.o(81474);
    }
}
